Show / Hide Table of Contents

# Struct SDL.SDL_Surface

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_Surface

### Fields

| Improve this Doc View Source

#### clip_rect

##### Declaration

    public SDL.SDL_Rect clip_rect

##### Field Value

Type | Description
--- | ---
SDL.SDL_Rect |

| Improve this Doc View Source

#### flags

##### Declaration

    public uint flags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### format

##### Declaration

    public IntPtr format

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### h

##### Declaration

    public int h

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### lock_data

##### Declaration

    public IntPtr lock_data

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### locked

##### Declaration

    public int locked

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### map

##### Declaration

    public IntPtr map

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### pitch

##### Declaration

    public int pitch

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### pixels

##### Declaration

    public IntPtr pixels

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### refcount

##### Declaration

    public int refcount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### userdata

##### Declaration

    public IntPtr userdata

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### w

##### Declaration

    public int w

##### Field Value

Type | Description
--- | ---
System.Int32 |